Bug 99549 - pp: Failed to translate a shader
Summary: pp: Failed to translate a shader
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/r600 (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact: Default DRI bug account
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-26 13:18 UTC by LoneVVolf
Modified: 2018-05-05 23:49 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
glxinfo > glxinfo.txt (98.39 KB, text/plain)
2017-01-26 13:18 UTC, LoneVVolf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description LoneVVolf 2017-01-26 13:18:56 UTC
Created attachment 129162 [details]
glxinfo > glxinfo.txt

Many applications including glxinfo show these messages in console :


pp: Failed to translate a shader for depth1fs
pp: Failed to translate a shader for blend2fs
pp: Failed to translate a shader for color1fs
pp: Failed to translate a shader for blend2fs

I was unable to figure out what component pp belongs to, so choose the driver for my card.


mesa-git master, commit f8f7ea508b .


 ./autogen.sh --prefix=/usr \
               --sysconfdir=/etc \
               --with-dri-driverdir=/usr/lib/xorg/modules/dri \
               --with-gallium-drivers=i915,ilo,r300,r600,radeonsi,nouveau,svga,swrast,virgl \
               --with-dri-drivers=i915,i965,r200,radeon,nouveau,swrast \
               --with-egl-platforms=x11,drm,wayland \
               --with-vulkan-drivers=intel,radeon \
               --with-sha1=libnettle \
               --enable-texture-float \
               --enable-osmesa \
               --enable-xa \
               --enable-nine \
               --disable-xvmc \
               --enable-vdpau \
               --enable-omx \
               --enable-opencl \
               --enable-opencl-icd \
               --enable-glx-tls

glxinfo output (without the pp messages) attached
Comment 1 Marek Olšák 2017-02-02 09:08:50 UTC
Try to disable post processing in drirc.
Comment 2 LoneVVolf 2017-02-02 15:07:51 UTC
After seeing marek reply I experimented a bit with PP_DEBUG and post processing filters.
Half of the error messages comes from pp_jimenezmlaa filter , the other half from pp_jimenezmlaa_color .

disabling those filters through driconf does make the corresponding error messages disappear.

The error messages started recently, want me to try bisecting to find out what caused them ?
Comment 3 Marek Olšák 2017-02-02 16:06:28 UTC
That's up to you. I'm not so into fixing the postprocessing, because the options shouldn't be put into drirc, because the filters change what the OpenGL spec specifies.
Comment 4 Timothy Arceri 2018-04-05 01:10:45 UTC
Fixed by:

author	Marek Olšák <marek.olsak@amd.com>
commit	8cd58df2f2592bf5a19ef7431eccaca6b8a445cc

gallium/pp: fix MLAA shaders

Reviewed-by: Ilia Mirkin <imirkin@alum.mit.edu>
Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=99549
Comment 5 Johan Helsing 2018-04-24 08:15:42 UTC
Patch was reverted
Comment 6 Johan Helsing 2018-04-24 08:16:19 UTC
Sorry, posted on the wrong bug
Comment 7 ff 2018-05-05 23:49:39 UTC
when will this fix come to mesa fixes release 17.x and 18.x?

thx for the fix


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.